MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001929VCMIMechanics - Adventure Mappublic2014-11-06 10:302015-12-05 07:52
ReporterSXX 
Assigned ToIvan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSLinux KubuntuOS Version14.04
Product Version0.97 
Target VersionFixed in Version0.98f 
Summary0001929: Game start: if hero selected pre-game and map have multiple start towns you'll get multiple clones of same hero
DescriptionNormally in HoMM3 you get one chosen hero and random one.
Steps To Reproduce  - Go to new game and choose map with multiple start towns, e.g "Reclamation".
  - Now click on "Show Advanced Options" and choose town/hero for you.
  - Begin the game.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001930closedSXX When two heroes of same identify in game level up don't work properly 
related to 0002277resolvedSXX Random heroes always have subID of zero and don't inherit predefined options 

-  Notes
(0005068)
SXX (administrator)
2014-11-06 10:42

Not really sure how exactly VCMI handle heroes, but if engine expect them to be unique it's might be related to some other breakage I had in game. When one of my clone heroes level up (save can be found in 0001928) I was given choice between two skills:

 - "Bas Sorcery" (exactly like that) with icon from "Resistance".
 - Some normal skill with proper description that work properly.

My hero already have Basic Sorcery so if I choose first one it's will be just upgrade me to advanced Sorcery, but right click on icon won't show description and make game crash.

Should I even report this one as dedicated ticket or this just result of incorrect behavior of two cloned heroes in game?
(0005069)
AVS (administrator)
2014-11-06 10:53

Dedicated ticket (with relation to this one) is better.
(0005070)
AVS (administrator)
2014-11-06 10:54

Issue is not affects hero with index 0 (Orrin).
(0005072)
SXX (administrator)
2014-11-06 12:07

Just added other ticket about glitches I had: 0001930
Please set relation to this one because I can't do that. :-(
(0006116)
SXX (administrator)
2015-11-25 16:20

It's funny, but this one likely related to 0002277. I'm checked the code and CGameState::pickNextHeroType in fact has isUsedHero check, but of course it's not working.
(0006146)
SXX (administrator)
2015-12-05 07:52

Ivan has fixed that one:
https://github.com/vcmi/vcmi/commit/89bf3592e3c4ed06dcfdf66d19e8a6f623e0e408 [^]

Though I'm not entirely sure that everything work correctly so I'll do more testing in 0002277

- Issue History
Date Modified Username Field Change
2014-11-06 10:30 SXX New Issue
2014-11-06 10:42 SXX Note Added: 0005068
2014-11-06 10:51 AVS Assigned To => AVS
2014-11-06 10:51 AVS Status new => confirmed
2014-11-06 10:53 AVS Note Added: 0005069
2014-11-06 10:54 AVS Note Added: 0005070
2014-11-06 12:07 SXX Note Added: 0005072
2014-11-06 12:41 AVS Relationship added related to 0001930
2015-11-25 16:15 SXX Relationship added related to 0002277
2015-11-25 16:20 SXX Note Added: 0006116
2015-12-05 07:52 SXX Note Added: 0006146
2015-12-05 07:52 SXX Status confirmed => resolved
2015-12-05 07:52 SXX Fixed in Version => 0.98f
2015-12-05 07:52 SXX Resolution open => fixed
2015-12-05 07:52 SXX Assigned To AVS => Ivan

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean